#include <bits/stdc++.h>

using namespace std;

#define int ll
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pi;
typedef pair<ll, ll> pl;
typedef vector<int> vi;
typedef vector<ll> vl;
typedef vector<double> vd;
typedef vector<bool> vb;
typedef vector<char> vc;
typedef vector<string> vs;
typedef vector<pi> vp;
typedef vector<pl> vpl;

struct st{
    ld x;
    ld p;

    bool operator<(const st& other)const{
        return p<other.p;
    }
};

signed main()
{
    ios_base::sync_with_stdio(false); 
    cin.tie(nullptr); 
    cout.tie(nullptr); 
    cerr.tie(nullptr);    

    int n;
    cin >> n;

    vector<st> a(n);
    ld s = 0;
    for (auto& i : a){
        cin >> i.x >> i.p;
        s += i.x;
    }

    sort(a.begin(), a.end());

    ld sol = 0;
    for (int i = 0; i < n; ++i){
        sol = max(sol, a[i].p * s);
        s -= a[i].x;
    }

    sol /= 100.0;

    cout << fixed << setprecision(5) << sol << '\n';
}